# Table of contents

## 🎓 Overview

* [About](README.md)
* [Features](overview/features.md)
* [Getting started](overview/getting-started.md)

## 🛣 Project

* [Code of Conduct](project/code-of-conduct.md)
* [Roadmap](project/roadmap.md)

## 🛠 Development

* [Contributing](development/contributing.md)
* [Setting up git](development/setting-up-git.md)
* [Building](development/building/README.md)
  * [Prerequisites](development/building/prerequisites.md)
  * [With Docker](development/building/with-docker.md)
  * [Without Docker](development/building/without-docker.md)
* [WIP: Testing](development/wip-testing.md)

## 👷♂ Configuration

* [Quick Start](configuration/quick-start/README.md)
  * [via AWS Marketplace](configuration/quick-start/via-aws-marketplace.md)
* [Configuration wizard](configuration/configuration-wizard.md)
* [Configuration file](configuration/configuration-file.md)
* [Compose examples](configuration/compose-examples.md)
* [Helm charts](configuration/helm-charts/README.md)
  * [Quick start](configuration/helm-charts/quick-start.md)
  * [Configuration](configuration/helm-charts/configuration.md)
  * [Resource limits](configuration/helm-charts/resource-limits.md)
* [Misc configuration properties](configuration/misc-configuration-properties.md)
* [Required Kafka Permissions](configuration/permissions/README.md)
  * [Required Kafka ACLs](configuration/configuration/required-acls.md)
  * [MSK (+Serverless) Setup](configuration/permissions/msk-+serverless-setup.md)
* [Complex configuration examples](configuration/configuration/complex-configuration-examples/README.md)
  * [Kraft mode + multiple brokers](configuration/configuration/complex-configuration-examples/kraft-mode-+-multiple-brokers.md)
* [SSL](configuration/ssl.md)
* [Authentication](configuration/authentication/README.md)
  * [Basic Authentication](configuration/authentication/basic-authentication.md)
  * [OAuth2](configuration/authentication/oauth2.md)
  * [AWS IAM](configuration/authentication/aws-iam.md)
  * [LDAP / Active Directory](configuration/authentication/ldap-active-directory.md)
  * [SSO Guide](configuration/authentication/sso-guide.md)
  * [SASL\_SCRAM](configuration/authentication/sasl\_scram.md)
* [RBAC (Role based access control)](configuration/rbac-role-based-access-control/README.md)
  * [Supported Identity Providers](configuration/rbac-role-based-access-control/supported-identity-providers.md)
* [Data masking](configuration/data-masking.md)
* [Serialization / SerDe](configuration/serialization-serde.md)
* [OpenDataDiscovery Integration](configuration/opendatadiscovery-integration.md)

## ❓ FAQ

* [Common problems](faq/common-problems.md)
* [FAQ](faq/faq.md)
